Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\FieldType\Validator\FileExtensionBlackListValidator Class Reference
Inheritance diagram for eZ\Publish\Core\FieldType\Validator\FileExtensionBlackListValidator:

## Public Member Functions
| __construct (ConfigResolverInterface $configResolver)
| validateConstraints ($constraints)
  | { Parameters
  mixed | $constraints |
Returns mixed } More...
| validate (BaseValue $value)
| {} More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\Validator
| getConstraintsSchema ()
| Returns a schema for supported validator configurations. More...
| validate (Value $value)
| Perform validation on $value. More...
| getMessage ()
| Returns array of messages on performed validations. More...
| initializeWithConstraints (array $constraints)
| Initialized an instance of Validator, with earlier configured constraints. More...
| __get ($name)
| Magic getter. More...
| __set ($name, $value)
| Magic setter. More...

## Protected Attributes
| $constraints
| $constraintsSchema
Protected Attributes inherited from eZ\Publish\Core\FieldType\Validator
| $errors = []
| $constraints = []
| $constraintsSchema = []

## Detailed Description

Definition at line 14 of file FileExtensionBlackListValidator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Validator\FileExtensionBlackListValidator::__construct | ( | ConfigResolverInterface | $configResolver | ) |

Parameters

  \eZ\Publish\Core\MVC\ConfigResolverInterface | $configResolver |

Definition at line 30 of file FileExtensionBlackListValidator.php.

References eZ\Publish\Core\MVC\ConfigResolverInterface\getParameter().

## Member Function Documentation

## ◆ validate()

eZ\Publish\Core\FieldType\Validator\FileExtensionBlackListValidator::validate | ( | BaseValue | $value | ) |

{}

Definition at line 48 of file FileExtensionBlackListValidator.php.

## ◆ validateConstraints()

eZ\Publish\Core\FieldType\Validator\FileExtensionBlackListValidator::validateConstraints | ( |  | $constraints | ) |

{

Parameters

  mixed | $constraints |

Returns
  mixed

}

Reimplemented from eZ\Publish\Core\FieldType\Validator.

Definition at line 40 of file FileExtensionBlackListValidator.php.

## Member Data Documentation

## ◆ $constraints

eZ\Publish\Core\FieldType\Validator\FileExtensionBlackListValidator::$constraints
| protected

Initial value:
= [
'extensionsBlackList' => [],
]

Definition at line 16 of file FileExtensionBlackListValidator.php.

## ◆ $constraintsSchema

eZ\Publish\Core\FieldType\Validator\FileExtensionBlackListValidator::$constraintsSchema
| protected

Initial value:
= [
'extensionsBlackList' => [
'type' => 'array',
'default' => [],
],
]

Definition at line 20 of file FileExtensionBlackListValidator.php.

The documentation for this class was generated from the following file:

- FileExtensionBlackListValidator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.